--- title: "Get server specifications" slug: "nks-viewserverspec" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/nks-viewserverspec" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server specifications Available in VPC Get server specifications available when creating a cluster or NodePool. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vnks/v2/option/server-product-code (Korea Region) | | GET | /vnks/sgn-v2/option/server-product-code (Singapore Region) | | GET | /vnks/jpn-v2/option/server-product-code (Japan Region) | ### Request headers For headers common to all Ncloud Kubernetes Service APIs, see [Common Ncloud Kubernetes Service headers](/docs/en/compute-vpckubernetesservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `softwareCode` | String | Required | Server image code - Need to enter a valid value of either `zoneCode` or `zoneNo` | | `zoneCode` | String | Conditional | Zone code - Required if `zoneNo` is not entered - See the [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | | `zoneNo` | String | Conditional | Zone number - Required if `zoneCode` is not entered - See the [getZoneList](/docs/en/compute-vserver-server-common-getzonelist). | ### Request example The request example is as follows: ``` curl --location 'https://nks.apigw.ntruss.com/vnks/v2/option/server-product-code' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` [ { "label": "string", "value": "string", "detail": { "productCode": "string", "productEnglishName": "string", "productName": "string", "serverSpecCode": "string", "serverSpecTypeCode": "string", "hypervisorCode": "string", "generationCode": "string", "productKindCode": "string", "productType2Code": "string", "cpuCount": 0, "memorySize": 0, "memorySizeGb": 0, "isFabricClusterType": false, "fabricClusterPoolList": [ { "poolNo": 0, "poolName": "string" } ] } } ] ``` ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `label` | String | - | Server image name | | `value` | String | - | Server product code | | `detail` | Object | - | Server specification details | | `detail.productName` | String | - | Product name | | `detail.serverImageNo` | Integer | - | Server image number | | `detail.productCode` | String | - | Product code | | `detail.productEnglishName` | String | - | English product name | | `detail.serverSpecCode` | String | - | Server specification code | | `detail.serverSpecTypeCode` | String | - | Server specification type code | | `detail.hypervisorCode` | String | - | Hypervisor code | | `detail.generationCode` | String | - | Generation code | | `detail.productKindCode` | String | - | Product type code | | `detail.productType2Code` | String | - | Product type 2 code | | `detail.cpuCount` | Integer | - | Number of CPUs | | `detail.memorySize` | Integer | - | Memory size (byte) | | `detail.memorySizeGb` | Integer | - | Memory size (GB) | | `detail.isFabricClusterType` | Boolean | - | Whether it is a Fabric cluster | | `detail.fabricClusterPoolList` | Array | - | Fabric cluster pool list: [fabricClusterPoolList](/docs/en/nks-viewserverspec#fabricClusterPoolList) - Include only for the Fabric cluster type. | #### `fabricClusterPoolList` The following describes `fabricClusterPoolList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `poolNo` | Integer | - | Fabric cluster pool number | | `poolName` | String | - | Fabric cluster pool name | ### Response status codes For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see [Ncloud Kubernetes Service response status codes](/docs/en/compute-vpckubernetesservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### For XEN ``` [ { "label": "vCPU 2EA, Memory 4GB, [SSD]Disk 50GB", "value": "SVR.VSVR.HICPU.C002.M004.NET.SSD.B050.G002", "detail": { "cpuCount": 2, "productKoreanDesc": "2 vCPUs, 4 GB memory, 50 GB [SSD] disk", "softwareTypeCode": "", "packageProductYn": "N", "productKindCode": "INFRA", "productType2Code": "HICPU", "productCode": "SVR.VSVR.HICPU.C002.M004.NET.SSD.B050.G002", "productEnglishName": "vCPU 2EA, Memory 4GB, [SSD]Disk 50GB", "productDesc": "2 vCPUs, 4 GB memory, 50 GB [SSD] disk", "diskType2Code": "NET", "diskType2DetailCode": "SSD", "productName": "2 vCPUs, 4 GB memory, 50 GB [SSD] disk", "productEnglishDesc": "vCPU 2EA, Memory 4GB, [SSD]Disk 50GB", "memorySize": 4294967296, "memorySizeGb": 4 } }, { "label": "vCPU 2EA, Memory 4GB, [SSD]Disk 100GB", "value": "SVR.VSVR.HICPU.C002.M004.NET.SSD.B100.G002", "detail": { "cpuCount": 2, "productKoreanDesc": "2 vCPUs, 4 GB memory, 100 GB [SSD] disk", "softwareTypeCode": "", "packageProductYn": "N", "productKindCode": "INFRA", "productType2Code": "HICPU", "productCode": "SVR.VSVR.HICPU.C002.M004.NET.SSD.B100.G002", "productEnglishName": "vCPU 2EA, Memory 4GB, [SSD]Disk 100GB", "productDesc": "2 vCPUs, 4 GB memory, 100 GB [SSD] disk", "diskType2Code": "NET", "diskType2DetailCode": "SSD", "productName": "2 vCPUs, 4 GB memory, 100 GB [SSD] disk", "productEnglishDesc": "vCPU 2EA, Memory 4GB, [SSD]Disk 100GB", "memorySize": 4294967296, "memorySizeGb": 4 } } ] ``` #### For KVM ``` [ { "label": "c2-g3(vCPU 2EA, Memory 4GB)", "value": "c2-g3", "detail": { "productName": "c2-g3(vCPU 2EA, Memory 4GB)", "serverImageNo": 12345, "productCode": "SVR.VSVR.STAND.C002.M004.G003", "productEnglishName": "c2-g3(vCPU 2EA, Memory 4GB)", "serverSpecCode": "c2-g3", "serverSpecTypeCode": "STAND", "hypervisorCode": "KVM", "generationCode": "G003", "productKindCode": "INFRA", "productType2Code": "STAND", "cpuCount": 2, "memorySize": 4294967296, "memorySizeGb": 4, "isFabricClusterType": false, "fabricClusterPoolList": [] } }, { "label": "c4-g3(vCPU 4EA, Memory 8GB)", "value": "c4-g3", "detail": { "productName": "c4-g3(vCPU 4EA, Memory 8GB)", "serverImageNo": 12345, "productCode": "SVR.VSVR.STAND.C004.M008.G003", "productEnglishName": "c4-g3(vCPU 4EA, Memory 8GB)", "serverSpecCode": "c4-g3", "serverSpecTypeCode": "STAND", "hypervisorCode": "KVM", "generationCode": "G003", "productKindCode": "INFRA", "productType2Code": "STAND", "cpuCount": 4, "memorySize": 8589934592, "memorySizeGb": 8, "isFabricClusterType": false, "fabricClusterPoolList": [] } } ] ```